%define oname sexplib0

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-%{oname}
Version:        0.17.0
Release:        %mkrel 4
Summary:        OCaml Library containing the definition of S-expressions and some base converters
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler
BuildRequires:  opam

%description
Library containing the definition of S-expressions and some base converters

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%files -f .ofiles
%doc README.md CHANGES.md
%license LICENSE.md

%files devel -f .ofiles-devel


%changelog
* Tue Apr 01 2025 pterjan <pterjan> 0.17.0-4.mga10
+ Revision: 2172451
- Rebuild again for ocaml 5.3.0

* Tue Apr 01 2025 pterjan <pterjan> 0.17.0-3.mga10
+ Revision: 2172449
- Rebuild for new ocaml-compiler changes

* Sun Mar 30 2025 pterjan <pterjan> 0.17.0-2.mga10
+ Revision: 2171847
- Try to fix build on non native architectures
- Update to 0.17.0

* Sat Oct 08 2022 pterjan <pterjan> 0.15.1-1.mga9
+ Revision: 1895387
- Update to 0.15.1

* Thu May 19 2022 pterjan <pterjan> 0.15.0-2.mga9
+ Revision: 1859160
- Build with --release to make deprecation warning non fatal
- Rebuild for OCaml 4.14

* Sun May 08 2022 pterjan <pterjan> 0.15.0-1.mga9
+ Revision: 1856901
- Update to 0.15.0

* Sun Apr 03 2022 umeabot <umeabot> 0.14.0-3.mga9
+ Revision: 1841570
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.14.0-2.mga9
+ Revision: 1750953
- Rebuild for ocaml 4.13.1

* Thu Mar 04 2021 tv <tv> 0.14.0-1.mga9
+ Revision: 1697736
- 0.14.0

* Fri Aug 21 2020 umeabot <umeabot> 0.13.0-4.mga8
+ Revision: 1617575
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.13.0-3.mga8
+ Revision: 1551497
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.13.0-2.mga8
+ Revision: 1543576
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 0.13.0-1.mga8
+ Revision: 1481948
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.11.0-1.mga7
+ Revision: 1324438
- imported package ocaml-sexplib0

